# Type alias TokenDetails

TokenDetails: {
coinGeckoId: string;
displayName?: string;
key: string;
nativeChain: Chain;
symbol: tokens.TokenSymbol;
}

#### Type declaration

- ##### coinGeckoId: string

- ##### `Optional` displayName?: string

- ##### key: string

- ##### nativeChain: Chain

- ##### symbol: tokens.TokenSymbol

- Defined in core/base/dist/esm/constants/tokens/types.d.ts:20

Generated using TypeDoc